## Index

### Classes

- SafeArray
- VarDate

### Interfaces

- ActiveXObject
- Date
- DateConstructor
- Enumerator
- EnumeratorConstructor
- ITextWriter
- TextStreamBase
- TextStreamReader
- TextStreamWriter
- VBArray
- VBArrayConstructor

### Variables

- WSH
- WScript

## Variables

### WSH

WSH: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:227

WSH is an alias for WScript under Windows Script Host

#### Type declaration

- ##### Arguments: object

  - ##### length: number

  - ##### Item: function

    - Item(n: number): string
    - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:138

      #### Parameters

      - ##### n: number

      #### Returns string

- ##### BuildVersion: number

  The Windows Script Host build version number.

- ##### FullName: string

  Fully qualified path of the host executable.

- ##### Interactive: boolean

  Gets/sets the script mode - interactive(true) or batch(false).

- ##### Name: string

  The name of the host executable (WScript.exe or CScript.exe).

- ##### Path: string

  Path of the directory containing the host executable.

- ##### ScriptFullName: string

  The full path of the currently running script.

- ##### ScriptName: string

  The filename of the currently running script.

- ##### StdErr: TextStreamWriter

  Exposes the write-only error output stream for the current script. Can be accessed only while using CScript.exe.

- ##### StdIn: TextStreamReader

  Exposes the read-only input stream for the current script. Can be accessed only while using CScript.exe.

- ##### StdOut: TextStreamWriter

  Exposes the write-only output stream for the current script. Can be accessed only while using CScript.exe.

- ##### Version: string

  Windows Script Host version

- ##### ConnectObject: function

  - ConnectObject(objEventSource: any, strPrefix: string): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:194

    Connects a COM object's event sources to functions named with a given prefix, in the form prefix_event.

    #### Parameters

    - ##### objEventSource: any

    - ##### strPrefix: string

    #### Returns void

- ##### CreateObject: function

  - CreateObject(strProgID: string, strPrefix?: undefined | string): any
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:201

    Creates a COM object.

    #### Parameters

    - ##### strProgID: string

    - ##### Optional strPrefix: undefined | string

      Function names in the form prefix_event will be bound to this object's COM events.

    #### Returns any

- ##### DisconnectObject: function

  - DisconnectObject(obj: any): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:206

    Disconnects a COM object from its event sources.

    #### Parameters

    - ##### obj: any

    #### Returns void

- ##### Echo: function

  - Echo(s: any): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:125

    Outputs text to either a message box (under WScript.exe) or the command console window followed by a newline (under CScript.exe).

    #### Parameters

    - ##### s: any

    #### Returns void

- ##### GetObject: function

  - GetObject(strPathname: string, strProgID?: undefined | string, strPrefix?: undefined | string): any
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:215

    Retrieves an existing object with the specified ProgID from memory, or creates a new one from a file.

    #### Parameters

    - ##### strPathname: string

      Fully qualified path to the file containing the object persisted to disk. For objects in memory, pass a zero-length string.

    - ##### Optional strProgID: undefined | string

    - ##### Optional strPrefix: undefined | string

      Function names in the form prefix_event will be bound to this object's COM events.

    #### Returns any

- ##### Quit: function

  - Quit(exitCode?: undefined | number): number
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:148

    Forces the script to stop immediately, with an optional exit code.

    #### Parameters

    - ##### Optional exitCode: undefined | number

    #### Returns number

- ##### Sleep: function

  - Sleep(intTime: number): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:221

    Suspends script execution for a specified length of time, then continues execution.

    #### Parameters

    - ##### intTime: number

      Interval (in milliseconds) to suspend script execution.

    #### Returns void

### WScript

WScript: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:120

#### Type declaration

- ##### Arguments: object

  - ##### length: number

  - ##### Item: function

    - Item(n: number): string
    - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:138

      #### Parameters

      - ##### n: number

      #### Returns string

- ##### BuildVersion: number

  The Windows Script Host build version number.

- ##### FullName: string

  Fully qualified path of the host executable.

- ##### Interactive: boolean

  Gets/sets the script mode - interactive(true) or batch(false).

- ##### Name: string

  The name of the host executable (WScript.exe or CScript.exe).

- ##### Path: string

  Path of the directory containing the host executable.

- ##### ScriptFullName: string

  The full path of the currently running script.

- ##### ScriptName: string

  The filename of the currently running script.

- ##### StdErr: TextStreamWriter

  Exposes the write-only error output stream for the current script. Can be accessed only while using CScript.exe.

- ##### StdIn: TextStreamReader

  Exposes the read-only input stream for the current script. Can be accessed only while using CScript.exe.

- ##### StdOut: TextStreamWriter

  Exposes the write-only output stream for the current script. Can be accessed only while using CScript.exe.

- ##### Version: string

  Windows Script Host version

- ##### ConnectObject: function

  - ConnectObject(objEventSource: any, strPrefix: string): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:194

    Connects a COM object's event sources to functions named with a given prefix, in the form prefix_event.

    #### Parameters

    - ##### objEventSource: any

    - ##### strPrefix: string

    #### Returns void

- ##### CreateObject: function

  - CreateObject(strProgID: string, strPrefix?: undefined | string): any
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:201

    Creates a COM object.

    #### Parameters

    - ##### strProgID: string

    - ##### Optional strPrefix: undefined | string

      Function names in the form prefix_event will be bound to this object's COM events.

    #### Returns any

- ##### DisconnectObject: function

  - DisconnectObject(obj: any): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:206

    Disconnects a COM object from its event sources.

    #### Parameters

    - ##### obj: any

    #### Returns void

- ##### Echo: function

  - Echo(s: any): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:125

    Outputs text to either a message box (under WScript.exe) or the command console window followed by a newline (under CScript.exe).

    #### Parameters

    - ##### s: any

    #### Returns void

- ##### GetObject: function

  - GetObject(strPathname: string, strProgID?: undefined | string, strPrefix?: undefined | string): any
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:215

    Retrieves an existing object with the specified ProgID from memory, or creates a new one from a file.

    #### Parameters

    - ##### strPathname: string

      Fully qualified path to the file containing the object persisted to disk. For objects in memory, pass a zero-length string.

    - ##### Optional strProgID: undefined | string

    - ##### Optional strPrefix: undefined | string

      Function names in the form prefix_event will be bound to this object's COM events.

    #### Returns any

- ##### Quit: function

  - Quit(exitCode?: undefined | number): number
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:148

    Forces the script to stop immediately, with an optional exit code.

    #### Parameters

    - ##### Optional exitCode: undefined | number

    #### Returns number

- ##### Sleep: function

  - Sleep(intTime: number): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:221

    Suspends script execution for a specified length of time, then continues execution.

    #### Parameters

    - ##### intTime: number

      Interval (in milliseconds) to suspend script execution.

    #### Returns void

Generated using TypeDoc